Uses of Enum Class
com.eqixiac.equinix.internetaccess.enums.TermsProduct
Packages that use TermsProduct
Package
Description
Internet Access client interfaces for the Equinix Java SDK.
-
Uses of TermsProduct in com.eqixiac.equinix.internetaccess.client
Methods in com.eqixiac.equinix.internetaccess.client with parameters of type TermsProductModifier and TypeMethodDescriptionInternetAccessTerms.list(String accountNumber, String ibx, TermsProduct product) Returns the terms and conditions applicable to the given account, IBX and product.InternetAccessTerms.list(String accountNumber, String ibx, TermsProduct product, TermsType type, String language) Returns the terms and conditions applicable to the given account, IBX and product, optionally narrowed by terms category and language. -
Uses of TermsProduct in com.eqixiac.equinix.internetaccess.client.implementation
Methods in com.eqixiac.equinix.internetaccess.client.implementation with parameters of type TermsProductModifier and TypeMethodDescriptionInternetAccessTermsImpl.list(String accountNumber, String ibx, TermsProduct product) InternetAccessTermsImpl.list(String accountNumber, String ibx, TermsProduct product, TermsType type, String language) -
Uses of TermsProduct in com.eqixiac.equinix.internetaccess.client.internal
Methods in com.eqixiac.equinix.internetaccess.client.internal with parameters of type TermsProduct -
Uses of TermsProduct in com.eqixiac.equinix.internetaccess.client.internal.implementation
Methods in com.eqixiac.equinix.internetaccess.client.internal.implementation with parameters of type TermsProduct -
Uses of TermsProduct in com.eqixiac.equinix.internetaccess.enums
Subclasses with type arguments of type TermsProduct in com.eqixiac.equinix.internetaccess.enumsModifier and TypeClassDescriptionenumThe Equinix product a set of terms and conditions applies to, as used by the Equinix Internet Access (EIA) v1 terms lookup (GET /internetAccess/v1/terms).Methods in com.eqixiac.equinix.internetaccess.enums that return TermsProductModifier and TypeMethodDescriptionstatic TermsProductReturns the enum constant of this class with the specified name.static TermsProduct[]TermsProduct.values()Returns an array containing the constants of this enum class, in the order they are declared. -
Uses of TermsProduct in com.eqixiac.equinix.internetaccess.model
Methods in com.eqixiac.equinix.internetaccess.model that return TermsProduct